/* Because of the SVG inliner, these don't work for icons */
.vjs-theme-forest {
  --vjs-theme-forest--primary: #6fb04e;
  --vjs-theme-forest--secondary: #fff;
}

/* Big play Button */
.vjs-theme-forest:hover .vjs-big-play-button,
.vjs-theme-forest.vjs-big-play-button:focus {
  background-color: transparent;
  background: svg-load('icons/play-btn.svg', fill=#6fb04e);
}

.vjs-theme-forest .vjs-big-play-button {
  width: 88px;
  height: 88px;
  background: none;
  background-repeat: no-repeat;
  background-position: center;
  background: svg-load('icons/play-btn.svg', fill=#fff);
  border: none;
  top: 50%;
  left: 50%;
  margin-top: -44px;
  margin-left: -44px;
  color: purple;
}

.vjs-theme-forest .vjs-big-play-button .vjs-icon-placeholder {
  display: none;
}

/* Control Bar */
.vjs-theme-forest .vjs-button>.vjs-icon-placeholder::before {
  line-height: 1.55;
}

.vjs-theme-forest .vjs-control:not(.vjs-disabled, .vjs-time-control):hover {
  color: var(--vjs-theme-forest--primary);
  text-shadow: var(--vjs-theme-forest--secondary) 1px 0 10px;
}

.vjs-theme-forest .vjs-control-bar {
  background: none;
  margin-bottom: 1em;
  padding-left: 1em;
  padding-right: 1em;
  justify-content: center;
}

/* Play Button */
.vjs-theme-forest .vjs-play-control {
  font-size: 0.8em;
}

.vjs-theme-forest .vjs-play-control .vjs-icon-placeholder:before {
  background-color: var(--vjs-theme-forest--secondary);
  height: 1.5em;
  width: 1.5em;
  margin-top: 0.2em;
  border-radius: 1em;
  color: var(--vjs-theme-forest--primary);
}

/* Progress Bar */
.vjs-theme-forest .vjs-progress-control:hover .vjs-progress-holder {
  font-size: 1em;
}

.vjs-theme-forest .vjs-play-progress::before {
  display: none;
}

.vjs-theme-forest .vjs-progress-holder {
  border-radius: 0.2em;
  height: 0.5em;
  margin: 0;
}

.vjs-theme-forest .vjs-play-progress,
.vjs-theme-forest .vjs-load-progress,
.vjs-theme-forest .vjs-load-progress div {
  border-radius: 0.2em;
}

.video-js {
  color: #333;
  background-color: #fff;
  border: 1px solid #ccc;
  display: none;
  opacity: 0;
  transition: .5s;
}

.vjs-theme-forest .vjs-play-control .vjs-icon-placeholder:before {
  background-color: #555;
  color: white;
}

.vjs-text-track-display,
.video-js .vjs-live-control,
.video-js .vjs-fullscreen-control,
.video-js .vjs-picture-in-picture-control {
  display: none;
}

.video-js .vjs-control-bar {
  top: 0;
  bottom: auto;
  display: flex;
  height: 6em;
  width: auto;
  justify-content: center;
}

.vjs-theme-forest .vjs-play-control {
  font-size: 1.6em;
  margin-top: 4px;
}

.video-js .vjs-control {
  width: 3em;
}

.video-js .vjs-mute-control {
  color: #aaa;
  font-size: 16px;
  margin-top: 10px;
}

.video-js .vjs-volume-control.vjs-volume-horizontal {
  width: 6em;
  margin-top: 16px;
  display: none;
}

.video-js .vjs-volume-panel .vjs-volume-control {
  opacity: 1;
}

.video-js .vjs-volume-level {
  background-color: #444;
}

.my-video-dimensions {
  width: 100% !important;
}

.footer-back {
  width: 48px;
  height: 48px;
  padding: 0.7rem 0;
}

@media (max-width: 991.98px) {
  .my-video-dimensions {
    position: fixed;
    z-index: 100;
    bottom: 10px;
    left: 10px;
    border-radius: 30px;
    height: 56px;
    width: 100px !important;
  }
  .vjs-button>.vjs-icon-placeholder:before {
    font-size: 1.5em;
  }
  .video-js .vjs-control-bar {
    justify-content: start;
  }
  .video-js .vjs-control {
    width: 2.5em;
  }
  .video-js .vjs-mute-control {
    margin-top: 8px;
  }
  .video-js .vjs-volume-control.vjs-volume-horizontal {
    margin-top: 11px;
  }
  .footer-back {
    display: block !important;
    z-index: 1000;
    color: white !important;
    right: 12px;
    bottom: 12px;
  }
}